extensions / Coupons
POST
/api/projects/{project_id}/sales/couponsPOST /api/projects/{project_id}/sales/coupons
A description is not available in the current release metadata.
GETPOST
Code examples
Integration
POST /api/projects/{project_id}/sales/coupons
Environment
BASE_URLcurl --request POST \
--url "${BASE_URL}/api/projects/example_project_id/sales/coupons" \
--header "Content-Type: application/json" \
--data @request.jsonResponse
Response examples are not available in the current release metadata.
Authentication
Authentication requirements are not specified for this operation.
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Headers
Path Parameters
| Name | Required | Type |
|---|---|---|
project_id | Yes | Not specified |
Query Parameters
Request Body
Schema: CouponPayload
| Field | Required | Type |
|---|---|---|
code | Yes | Not specified |
discount_type | Yes | Not specified |
amount | Yes | Not specified |
target_scope | Yes | Not specified |
allow_stack | Yes | Not specified |
max_uses | No | Not specified |
max_uses_per_customer | No | Not specified |
starts_at | No | Not specified |
ends_at | No | Not specified |
is_active | Yes | Not specified |
Response Body
Errors
Availability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified